Add Vehicle
Add a vehicle to a multi-vehicle movement group of an e-way bill.
POST
NIC validations
View NIC validations
View NIC validations
- Eway bill should be active and valid
- Initiation for multi vehicle movement should have been done and the group no. should exist
- Valid vehicleNo should be there
- Valid transDocNo and transDocDate as per the allowed format.
- If transMode is 1 while initiating, vehicleNo is mandatory, else transDocNo is mandatory
- Quantity should not be more than the total quantity mentioned in the multi vehicle initiation request
- The sum of all quantity mentioned in the previous vehicles of the same group should not be more than the total quantity mentioned during multi vehicle initiation request
Request body schema
View request body schema
Authorizations
E-Way Bill taxpayer access token returned by Authenticate.
Headers
NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.
Available options:
primary, secondary NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.
Available options:
primary, secondary Body
application/json
E-Way Bill schema.
The vehicleNo value.
Example:
"PQR1234"
Response
200 - application/json
200 Vehicle added / 301 Invalid EWB number / 400 Exceeded multi-vehicle movement initiation quantity